Library Version 18.1.40

DbEnv::get_region_dir()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::get_region_dir()

    #include <db_cxx.h>

    int
    DbEnv::get_region_dir(const char **dirp);

The `DbEnv::get_region_dir()` method returns the region directory, which is the location for the disk-backed region files. You can manage this value using the DbEnv::set_region_dir() method.

The `DbEnv::get_region_dir()` method may be called at any time during the life of the application.

The `DbEnv::get_region_dir()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirp

The `DbEnv::get_region_dir()` method returns a reference to the region directory in dirp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::set_region_dir()

Prev | Up | Next
DbMpoolFile::get_priority() | Home | DbMpoolFile::set_clear_len()